Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Interface ConnectionFactoryBindingServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  WrapperDataSourceServiceMBean

All Known Implementing Classes:
  ConnectionFactoryBindingService, WrapperDataSourceService

public interface ConnectionFactoryBindingServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBindName()` Get the bind name
`javax.management.ObjectName` | `getConnectionManager()` Get the connection manager
`String` | `getJndiName()` Get the jndi name
`boolean` | `isUseJavaContext()` Are we using the java naming context
`void` | `setConnectionManager(javax.management.ObjectName cm)` Set the connection manager
`void` | `setJndiName(String jndiName)` Set the jndi name
`void` | `setUseJavaContext(boolean useJavaContext)` Set whether to use the java naming context

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getConnectionManager

    public javax.management.ObjectName getConnectionManager()

  Get the connection manager

  Returns:
    the connection manager

### setConnectionManager

    public void setConnectionManager(javax.management.ObjectName cm)

  Set the connection manager

  Parameters:
    `cm` - the connection manager

### getBindName

    public String getBindName()

  Get the bind name

  Returns:
    the real jndi binding

### getJndiName

    public String getJndiName()

  Get the jndi name

  Returns:
    the jndi name

### setJndiName

    public void setJndiName(String jndiName)

  Set the jndi name

  Parameters:
    `jndiName` - the jndi name

### isUseJavaContext

    public boolean isUseJavaContext()

  Are we using the java naming context

  Returns:
    true when using the java naming context, false otherwise

### setUseJavaContext

    public void setUseJavaContext(boolean useJavaContext)

  Set whether to use the java naming context

  Parameters:
    `useJavaContext` - pass true to use the java naming context, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.